# Almanac
The Valheim Almanac plugin is a comprehensive tool that meticulously indexes creatures, items, equipment, and player achievements, providing a detailed record of the Viking's journey. It seamlessly weaves together a rich tapestry of the player's accomplishments, transforming their adventures into a living achievement system within the expansive world of Valheim.
### Features
- Creature data
- Item data
- Pieces data
- Player metrics
- Achievement system
### Configurations
- color configurations for damage modifiers
- localization yml file for extended language support
    - English built-in
    - French built-in
- Knowledge wall server synced configuration
- Achievement server synced configurations
```
For more details about how to create your own localization yml file.
Please find me on OdinPlus discord.
There will be a mod-test release channel where we will be sharing configs.
If you give me one in your language, I will happily embedded it into the mod.
```

| `Version` | `Update Notes`                                                                                   |
|-----------|--------------------------------------------------------------------------------------------------|
| 1.0.0     | - Initial Release                                                                                |
| 1.0.1     | - Wrong name lol                                                                                 |
| 1.0.2     | - Small Tweak for compatibility with RtdMonsters and monsterlabz                                 |
| 1.0.3     | - Fixed compatibility with modded monster mods that have missing values                          |
| 1.0.4     | - Minor tweaks to make mod work in various languages by having text dynamically resize           |
| 1.0.5     | - Minor changes to the logic on how it finds creature to display in languages other than english |
| 1.0.6     | - Added a patch to fix any overlapping trophies                                                  |
| 1.0.7     | - Hotfix for latest valheim patch - more updates to come soon                                    |
| 2.0.0     | - Major update - Almanac now supports items |
| 2.0.1     | - Almanac now supports pieces |
| 2.1.0     | - Added Black List feature and fixed minor bugs |
| 2.1.1     | - fixed minor bug |
| 2.1.2     | - fixed black list and duplicate pieces |
| 2.1.3     | - improved blacklist and added drop chance to creature info |
| 2.2.0 | - Player Metrics and Achievement system |
| 2.2.1 | - Added item count / total to panels and compatibility with MinimalUI |
| 2.2.2 | - Controller Support
| 2.2.3 | - minor bug fix with kill tracker and added config to make almanac panel transparent to use with minimal ui |
| 2.2.4 | - another minor bug fix |
| 2.2.5 | - Compatibility with World Advancement Progression
| 2.2.6 | - Added Auga incompatibility flag and fixed guardian power icon for custom powers
| 2.2.7 | - auga incompatibility
| 2.2.8 | - More redundancy on custom status effects and french translations update

![](https://i.imgur.com/Kx5DGkK.png)
![](https://i.imgur.com/thcXdFW.png)
![](https://i.imgur.com/W3U5YQa.png)
![](https://i.imgur.com/hfUrC3E.png)
![](https://i.imgur.com/UUfhwKo.png)

## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.com/channels/826573164371902465/1141559903857680404)

Or come find me at the [Modding Corner](https://discord.com/channels/847956617798746112/1175641735234334761)
##
If you enjoy this mod and want to support me: [Donate via Buy Me a Coffee](https://www.buymeacoffee.com/peimalcolm2)

<img src="https://i.imgur.com/VZfZR0k.png" alt="https://www.buymeacoffee.com/peimalcolm2" width="150">
